Subject: bug#53197: closed (Re: [PATCH 0/3] Update WPEWebkit to 2.34.3)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Jan 2022 21:43:03 +0000

Your bug report

#53197: wpewebkit: Fails to build (a required package was not found)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53197: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53197
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/3] Update WPEWebkit to 2.34.3
From: Leo Famulari <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 29 Jan 2022 16:42:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I pushed these patches as 07f45615c3600dd1405349a4f7c775394fbfd40d

Normally I don't push patches for other committers but this is security
sensitive.

On Sun, Jan 16, 2022 at 08:29:03PM +0100, Liliana Marie Prikler wrote:
> I'm fine with turning the wpebackend-fdo patch into a graft, I just
> didn't notice the dependency.

I don't think a graft is necessary in this case.

> Great, so we got WebkitGTK working, meaning we only need to disable
> SSE2 outside of x86-64.  I checked the file mentioned in webkitgtk's
> disable-sse2 phase, and it seems wpewebkit mirrors that.  So if I read
> this correctly you only need to copypasta your old code.

I'm not sure what old code of mine you were referring to. In any
case, wpewebkit doesn't build for us on i686-linux, so there can't be a
regression there:

https://ci.guix.gnu.org/search?query=spec%3Amaster+system%3Ai686-linux+wpewebkit

Subject: wpewebkit: Fails to build (a required package was not found)
From: [email-masked]
To: [email-masked]
Date: Tue, 11 Jan 2022 22:49:16 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

```
-- Found ICU: /gnu/store/7sik9fp2ffvnr7l01s423x4r5pn75rf9-icu4c-69.1/include (found suitable version "69.1", minimum required is "60.2") 
-- Found JPEG: /gnu/store/vhxayydx3y9n2gi2sc0dam26p7k1aaj8-libjpeg-turbo-2.0.5/lib/libjpeg.so (found version "62")
-- Found LibEpoxy: /gnu/store/amq5psiagcz04lz4kil3yl553a9cj26b-libepoxy-1.5.5/include (found suitable version "1.5.5", minimum required is "1.4.0")
-- Found LibGcrypt: /gnu/store/5z3gh8yq8a8dzlhm7llx50cjf1vj1r2w-libgcrypt-1.8.8/lib/libgcrypt.so (found suitable version "1.8.8", minimum required is "1.6.0")
CMake Error at /gnu/store/aain9m7r37jlzd21kvgvrkhc2pm7mk1w-cmake-minimal-3.21.3/share/cmake-3.21/Modules/FindPkgConfig.cmake:562 (message):
  A required package was not found
Call Stack (most recent call first):
  /gnu/store/aain9m7r37jlzd21kvgvrkhc2pm7mk1w-cmake-minimal-3.21.3/share/cmake-3.21/Modules/FindPkgConfig.cmake:784 (_pkg_check_modules_internal)
  Source/cmake/FindLibSoup.cmake:35 (pkg_check_modules)
  Source/cmake/WebKitFindPackage.cmake:104 (_find_package)
  Source/cmake/OptionsWPE.cmake:29 (find_package)
  Source/cmake/WebKitCommon.cmake:58 (include)
  CMakeLists.txt:173 (include)

-- Configuring incomplete, errors occurred!
```